[data-cards] {
    overflow: visible;
}

.cards-group {

    .swiper-slide {
        width: 288px;
        height: auto;
    }

    @include media-breakpoint-up(xl) {

        .swiper-wrapper {
            display: grid;
            grid-row-gap: 24px;
            grid-column-gap: 24px;
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }

        .swiper-slide {
            width: auto;
        }
    }
}

.main-card {
    height: 100%;
    color: #111;
    overflow: hidden;
    position: relative;
    background: $white;
    border-radius: 20px;
    box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;

    &__content {
        padding: rem(10);
        flex-grow: 1;
        display: flex;
        flex-direction: column;
    }

    &__text {
        flex-grow: 1;
        font-weight: 500;
        font-size: 20px;
        line-height: 140%;
        margin-bottom: rem(8);
    }

    &__favorite {
        top: 10px;
        right: 10px;
        margin: 0;
        padding: 0;
        font-size: 0;
        line-height: 0;
        width: 38px;
        height: 32px;
        border: none;
        outline: none;
        z-index: 50;
        cursor: pointer;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
        background: #E6E8EB;
        border-radius: 8px;

        i {
            height: 20px;
            display: inline-block;
            flex-shrink: 0;
        }

        .-stroke- {
            fill: #F53527;
        }

        &.added {

            .-fill- {
                fill: #F53527;
            }
        }

    }

    &__location {
        top: 10px;
        left: 10px;
        z-index: 50;
        height: 32px;
        color: #111;
        overflow: hidden;
        font-size: 14px;
        line-height: 20px;
        padding: 4px 12px;
        white-space: nowrap;
        position: absolute;
        background: #E6E8EB;
        border-radius: 8px;
        display: flex;
        align-items: center;

        i {
            height: 18px;
            font-size: 0;
            line-height: 0;
            display: inline-block;
        }

        span {
            margin-left: 6px;
            display: inline-block;
        }
    }
    @include media-breakpoint-up(xl) {

        &__location {
            max-width: 40px;
            will-change: max-widtn;
            transition: all 0.2s ease-out;

            span {
                opacity: 0;
                visibility: hidden;
                transition: .2s;
            }
        }

        &:hover {

            .main-card {

                &__location {
                    transition: all 0.2s ease-out;

                    span {
                        opacity: 1;
                        visibility: visible;
                        transition: .2s;
                    }
                }
            }
        }
    }

}

.main-btn  {
    margin: 0;
    border: none;
    outline: none;
    stroke: #111;
    color: #111;
    overflow: hidden;
    height: rem(48);
    padding: rem(8) rem(24);
    position: relative;
    font-size: 16px;
    line-height: 24px;
    border-radius: 12px;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;

    &:hover {
        stroke: $white;
        color: $white;
        background: conic-gradient(from 90deg at 0% 100%, #046652 0deg, #068F73 90deg, #046652 360deg);

        i {
            left: 5px;
            transition: .25s;
        }
    }

    &:active {
        top: 1px;
    }

    i {
        left: 0;
        font-size: 0;
        line-height: 0;
        height: 24px;
        display: inline-block;
        position: relative;
        transition: .25s;
    }

    span + i {
        margin-left: 10px;
    }

    &--purple {
        background: #DFCCFF;
    }

    &--rose {
        background: #FFDCC2;
    }

    &--blue {
        background: #B8D1F6;
    }
}
